<?php

declare(strict_types=1);

namespace Seka\Portal\Modul\Statistiky\Entities\Zaznam\Enums;

use Spatie\Enum\Laravel\Enum;

/**
 * Class DruhSubjektuZaznamuEnum
 *
 * @package Seka\Portal\Modul\Statistiky\Entities\Zaznam\Enums
 * @method static self POUZIVATEL()
 * @method static self PRACOVISKO()
 */
final class DruhSubjektuZaznamuEnum extends Enum
{
    /**
     * @return string[]
     */
    protected static function labels(): array
    {
        return [
            'POUZIVATEL' => 'používateľ',
            'PRACOVISKO' => 'pracovisko',
        ];
    }
}
